Package org.apache.commons.release.plugin.velocity

# Class HeaderHtmlVelocityDelegate

java.lang.Object
org.apache.commons.release.plugin.velocity.HeaderHtmlVelocityDelegate

public class HeaderHtmlVelocityDelegate extends Object
This class' purpose is to generate the `HEADER.html` that moves along with the release for the sake of downloading the release from the distribution area.

Since:
  1.3

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `HeaderHtmlVelocityDelegate.HeaderHtmlVelocityDelegateBuilder`
  A builder class for instantiation of the `HeaderHtmlVelocityDelegate`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private static final String`
  `TEMPLATE`
  The location of the velocity template for this class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `HeaderHtmlVelocityDelegate()`
  The private constructor to be used by the `HeaderHtmlVelocityDelegate.HeaderHtmlVelocityDelegateBuilder`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HeaderHtmlVelocityDelegate.HeaderHtmlVelocityDelegateBuilder`
  `builder()`
  For instantiating our `HeaderHtmlVelocityDelegate` using the `HeaderHtmlVelocityDelegate.HeaderHtmlVelocityDelegateBuilder`.
  `Writer`
  `render(Writer writer)`
  Builds the HEADER.vm velocity template to the writer passed in.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TEMPLATE

    private static final String TEMPLATE
    The location of the velocity template for this class.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### HeaderHtmlVelocityDelegate

    private HeaderHtmlVelocityDelegate()
    The private constructor to be used by the `HeaderHtmlVelocityDelegate.HeaderHtmlVelocityDelegateBuilder`.

- ## Method Details

  - ### builder

    public static HeaderHtmlVelocityDelegate.HeaderHtmlVelocityDelegateBuilder builder()
    For instantiating our `HeaderHtmlVelocityDelegate` using the `HeaderHtmlVelocityDelegate.HeaderHtmlVelocityDelegateBuilder`.
    Returns:
      a `HeaderHtmlVelocityDelegate.HeaderHtmlVelocityDelegateBuilder`.

  - ### render

    public Writer render(Writer writer)
    Builds the HEADER.vm velocity template to the writer passed in.
    Parameters:
      `writer` - any `Writer` that we wish to have the filled velocity template written to.
    Returns:
      the `Writer` that we've filled out the template into.